| Home | Libraries | People | FAQ | More

##### basic_socket::basic_socket (4 of 4 overloads)

Construct a `basic_socket` on an existing native socket.

    basic_socket(
        boost::asio::io_service & io_service,
        const protocol_type & protocol,
        const native_type & native_socket);

This constructor creates a socket object to hold an existing native socket.

###### Parameters

io_service

  The `io_service` object that the socket will use to dispatch handlers for any asynchronous operations performed on the socket.

protocol

  An object specifying protocol parameters to be used.

native_socket

  A native socket.

###### Exceptions

boost::system::system_error

  Thrown on failure.